commit 16b3497735727fcb2618388a3d469ffd20a30fef
Author: jklowden <jklowden>
Date:   Thu Jun 4 03:45:32 2009 +0000

    added ClientCharset connection attribute

diff --git a/ChangeLog b/ChangeLog
index c7de97f..13737b7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Jun  3 23:41:17 EDT 2009	JK Lowden <jklowden@freetds.org>
+	* doc/api_status.txt doc/userguide.sgml
+	- added ClientCharset connection attribute
+
 Thu May 28 18:23:16 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h misc/types.txt src/apps/tsql.c src/ctlib/ct.c:
 	* src/dblib/bcp.c src/dblib/buffering.h src/dblib/dblib.c:
@@ -1598,4 +1602,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2801 2009/05/28 16:23:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2802 2009/06/04 03:45:32 jklowden Exp $
diff --git a/doc/userguide.sgml b/doc/userguide.sgml
index 1c77454..6818b29 100644
--- a/doc/userguide.sgml
+++ b/doc/userguide.sgml
@@ -5,8 +5,8 @@
 ]>
 <book>
 	<bookinfo>
-		<date>$Date: 2009/04/09 01:40:37 $</date>
-		<releaseinfo>$Revision: 1.122 $</releaseinfo>
+		<date>$Date: 2009/06/04 03:45:33 $</date>
+		<releaseinfo>$Revision: 1.123 $</releaseinfo>
 		<title><productname>FreeTDS</productname> User Guide</title>
 		<subtitle>A Guide to Installing, Configuring, and Running <productname>FreeTDS</productname></subtitle>
 		<author>
@@ -57,9 +57,9 @@ This guide is here for you, and we hope that you will be here for it, that other
 The version you're reading is:
 			</para> 
   			<simplelist type='vert'>
-<member>$Revision: 1.122 $</>
-<member>$Date: 2009/04/09 01:40:37 $</>
-<member>CVS control number $Id: userguide.sgml,v 1.122 2009/04/09 01:40:37 jklowden Exp $.</>
+<member>$Revision: 1.123 $</>
+<member>$Date: 2009/06/04 03:45:33 $</>
+<member>CVS control number $Id: userguide.sgml,v 1.123 2009/06/04 03:45:33 jklowden Exp $.</>
   			</simplelist>
 			</footnote>
 can be found on the <productname>FreeTDS</productname> 
@@ -569,7 +569,7 @@ url="http://www.madgoat.com">www.madgoat.com</ulink>).</para>
 		</sect3>
 		</sect2>
 		<sect2 id="osx"><title>OS X&reg;</title>
-  			<para>As of this writing ($Date: 2009/04/09 01:40:37 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
+  			<para>As of this writing ($Date: 2009/06/04 03:45:33 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
 
 		<sect3 id="OSX.Build.Update">
 			<title>Alternative build procedure</title>
@@ -1535,6 +1535,12 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry>TDS protocol version to use (e.g., 5.0, 7.0).</entry>
 	</row>
 	<row>
+	<entry><literal>ClientCharset</></entry>
+	<entry>A name recognized by the iconv library linked to FreeTDS</entry>
+	<entry>Taken from the LANG environment variable, maybe?</entry>
+	<entry>Character set (encoding) used by the client.  </entry>
+	</row>
+	<row>
 	<entry><literal>APP</></entry>
 	<entry>Free form text, up to 30 characters.  </entry>
 	<entry>none</entry>

